### Function

# GLib warn_message

since: 2.0

#### Declaration

    void
    g_warn_message (
      const char* domain,
      const char* file,
      int line,
      const char* func,
      const char* warnexpr
    )

#### Description

Internal function used to print messages from the public `g_warn_if_reached()` and `g_warn_if_fail()` macros.

Available since: 2.0

This function is not directly available to language bindings.

#### Parameters

`domain`

  Type: `const char*`

  Log domain.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`file`

  Type: `const char*`

  File containing the warning.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`line`

  Type: `int`

  Line number of the warning.

`func`

  Type: `const char*`

  Function containing the warning.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`warnexpr`

  Type: `const char*`

  Expression which failed.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.